Package com.databricks.jdbc.exception

## Class DatabricksSQLFeatureNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - com.databricks.jdbc.exception.DatabricksSQLException
        - - com.databricks.jdbc.exception.DatabricksSQLFeatureNotSupportedException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

    public class DatabricksSQLFeatureNotSupportedException
    extends DatabricksSQLException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DatabricksSQLFeatureNotSupportedException​(String reason)`
`DatabricksSQLFeatureNotSupportedException​(String reason, IDatabricksConnectionContext connectionContext, String sqlQueryId, int errorCode)`
`DatabricksSQLFeatureNotSupportedException​(String reason, String featureName)`
`DatabricksSQLFeatureNotSupportedException​(String reason, String featureName, IDatabricksConnectionContext connectionContext, String sqlQueryId, int errorCode)`

### Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### DatabricksSQLFeatureNotSupportedException

    public DatabricksSQLFeatureNotSupportedException​(String reason)

#### DatabricksSQLFeatureNotSupportedException

    public DatabricksSQLFeatureNotSupportedException​(String reason,
                                                     String featureName)

#### DatabricksSQLFeatureNotSupportedException

    public DatabricksSQLFeatureNotSupportedException​(String reason,
                                                     IDatabricksConnectionContext connectionContext,
                                                     String sqlQueryId,
                                                     int errorCode)

#### DatabricksSQLFeatureNotSupportedException

    public DatabricksSQLFeatureNotSupportedException​(String reason,
                                                     String featureName,
                                                     IDatabricksConnectionContext connectionContext,
                                                     String sqlQueryId,
                                                     int errorCode)